> ## Documentation Index
> Fetch the complete documentation index at: https://typecast.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 커스텀 보이스 삭제

> `POST /v1/voices/clone` 으로 생성한 커스텀 보이스를 soft delete 합니다. 활성 보이스 목록에서 제거되며 `custom_voice_slot` 한 자리가 즉시 회복되어 새 클로닝에 사용할 수 있습니다.

삭제 후 같은 `voice_id` 로 요청하면 404 가 반환됩니다. 본인이 소유한 보이스만 삭제 가능하며, 타인의 보이스를 삭제하려 하면 404 가 반환됩니다.

성공 시 204 No Content 를 반환합니다.



## OpenAPI

````yaml /ko/api-reference/openapi.json delete /v1/voices/{voice_id}
openapi: 3.1.0
info:
  title: Typecast API
  version: 0.1.2
  x-logo:
    url: https://typecast.ai/_ipx/_/image/logo/tc_logo.webp
servers:
  - url: https://api.typecast.ai
    description: 프로덕션 서버
security:
  - ApiKeyAuth: []
paths:
  /v1/voices/{voice_id}:
    delete:
      tags:
        - Voices
      summary: 커스텀 보이스 삭제
      description: >-
        `POST /v1/voices/clone` 으로 생성한 커스텀 보이스를 soft delete 합니다. 활성 보이스 목록에서
        제거되며 `custom_voice_slot` 한 자리가 즉시 회복되어 새 클로닝에 사용할 수 있습니다.


        삭제 후 같은 `voice_id` 로 요청하면 404 가 반환됩니다. 본인이 소유한 보이스만 삭제 가능하며, 타인의 보이스를
        삭제하려 하면 404 가 반환됩니다.


        성공 시 204 No Content 를 반환합니다.
      operationId: delete_custom_voice_v1_voices__voice_id__delete
      parameters:
        - name: voice_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^uc_[A-Za-z0-9]+$
            example: uc_64a1b2c3d4e5f6a7b8c9d0e1
          description: '`uc_` prefix 가 붙은 커스텀 보이스 식별자.'
      responses:
        '204':
          description: >-
            No Content - Voice deleted successfully. The response body is
            intentionally empty per RFC 9110; treat any 2xx status as success.
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                detail: Invalid API key
        '404':
          description: Not Found - Voice does not exist or is not owned by the caller
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                detail: Voice not found
        '422':
          description: Validation Error - Invalid voice_id format
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                detail: Invalid request format
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        detail:
          type: string
          description: 문제를 설명하는 오류 메시지
      required:
        - detail
      example:
        detail: An error occurred processing the request
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: 인증을 위한 API 키. 타입캐스트 API 콘솔에서 API 키를 생성할 수 있습니다.

````